package com.pj.project.tb_business_car;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_business_car --
 *
 * @author qzy
 */

@Mapper
@Repository
public interface TbBusinessCarMapper extends BaseMapper<TbBusinessCar> {


    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     *
     * @param so 参数集合
     * @return 数据列表
     */
    List<TbBusinessCar> getList(SoMap so);


    List<TbBusinessCar> searchPartCar(String carNo);

    List<TbBusinessCar> findTheNoBusinessCar(String carNo);

    List<TbBusinessCar> searchOtherBusinessCar(String carNo);

    List<TbBusinessCar> findTodayRecord(@Param("carNo") String carNo, @Param("itemId") String itemId);

    int checkCarBusinessType(@Param("typeId")String typeId, @Param("carNo")String carNo,@Param("timeEnd") String timeEnd);

    void removeBusinessId(String id);
}
